import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.NoResultException;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    Query q = em.createQuery("SELECT e FROM Student e WHERE e.id = ?1");

    int empId = 1;
    
    q.setParameter(1, empId);
    Student st =  (Student)q.getSingleResult();

    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}